# QXmlStreamWriter Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QXmlStreamWriter()
- void QXmlStreamWriter(QByteArray array)
- void QXmlStreamWriter(QIODevice device)

### Constructor Properties

- prototype: The QXmlStreamWriter prototype object

### Prototype Object Properties

- bool autoFormatting()
- int autoFormattingIndent()
- QTextCodec codec()
- QIODevice device()
- bool hasError()
- void setAutoFormatting(bool arg__1)
- void setAutoFormattingIndent(int spacesOrTabs)
- void setCodec(QTextCodec codec)
- void setDevice(QIODevice device)
- void writeAttribute(String namespaceUri, String name, String value)
- void writeAttributes(QXmlStreamAttributes attributes)
- void writeCDATA(String text)
- void writeCharacters(String text)
- void writeComment(String text)
- void writeCurrentToken(QXmlStreamReader reader)
- void writeDTD(String dtd)
- void writeDefaultNamespace(String namespaceUri)
- void writeEmptyElement(String namespaceUri, String name)
- void writeEndDocument()
- void writeEndElement()
- void writeEntityReference(String name)
- void writeNamespace(String namespaceUri, String prefix)
- void writeProcessingInstruction(String target, String data)
- void writeStartDocument()
- void writeStartElement(String namespaceUri, String name)
- void writeTextElement(String namespaceUri, String name, String text)

### Instance Properties

QXmlStreamWriter objects have no special properties beyond those inherited from the QXmlStreamWriter prototype object.